# Not to be confused with the ut package!
#
# Package   openalgz-ut                     ut
# Upstream  https://github.com/openalgz/ut  https://github.com/boost-ext/ut
# Provides  cmake(ut)                       cmake(ut)
# Header    %%{_includedir}/ut/ut.hpp       %%{_includedir}/boost/ut.hpp
Name:           openalgz-ut
Version:        0.0.5
Release:        %autorelease
Summary:        C++20 unit test library based on qlibs/ut

License:        MIT
URL:            https://github.com/openalgz/ut
Source:         %{url}/archive/v%{version}/ut-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
A simple and fast compiling unit test library.}

%description %{common_description}


%package devel
Summary:        Development files for openalgz-ut

# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_use_noarch_only_in_subpackages
BuildArch:      noarch

# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_packaging_header_only_libraries
Provides:       openalgz-ut-static = %{version}-%{release}

%description devel %{common_description}

The openalgz-ut-devel package contains libraries and header files for
developing applications that use openalgz-ut.


%prep
%autosetup -n ut-%{version} -p1


%conf
# CMAKE_INSTALL_INCLUDEDIR
#   By default, this would install /usr/include/ut/ut/ut.hpp.
# zb8_INSTALL_CMAKEDIR
#   By default, .cmake files would be installed into %%{_datadir}/ut, which
#   doesn’t fit well with conventions. Currently, the ut package uses
#   %%{_libdir}/cmake/ut, so just installing under %%{_datadir} suffices to
#   avoid file conflicts, but using %%{_datadir}/cmake/openalgz-ut is even
#   better. The zb8_ prefix is because part of the build system was copied from
#   https://github.com/openalgz/zb8.
%cmake \
    -DCMAKE_INSTALL_INCLUDEDIR:PATH='%{_includedir}' \
    -Dzb8_INSTALL_CMAKEDIR:PATH='%{_datadir}/cmake/openalgz-ut'


%build
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license LICENSE
%doc README.md

%{_includedir}/ut/
%{_datadir}/cmake/openalgz-ut/


%changelog
%autochangelog
